package com.uas.search.console.b2b;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class LuceneProperties {

	/**
	 * 索引文件存储路径
	 */
	@Value("${lucene.indexes.dir}")
	private String indexesDir;

	/**
	 * 数据存储路径（先从数据库下载到本地，再用于建索引）
	 */
	@Value("${lucene.data.dir}")
	private String dataDir;

	public String getIndexesDir() {
		return indexesDir;
	}

	public void setIndexesDir(String indexesDir) {
		this.indexesDir = indexesDir;
	}

	public String getDataDir() {
		return dataDir;
	}

	public void setDataDir(String dataDir) {
		this.dataDir = dataDir;
	}

}
